Bug 46914 - Suggest ucs_registerLDAPExtension instead of ucs_registerLDAPSchema
Suggest ucs_registerLDAPExtension instead of ucs_registerLDAPSchema
Status: CLOSED FIXED
Product: UCS extended documentation
Classification: Unclassified
Component: Developer documentation
unspecified
Other Linux
: P5 normal (vote)
: ---
Assigned To: Sönke Schwardt-Krummrich
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-29 09:48 CEST by Sönke Schwardt-Krummrich
Modified: 2018-05-18 14:12 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?:
School Customer affected?:
ISV affected?: Yes
Waiting Support:
Ticket number: 2018042621000694
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2018-04-29 09:48:49 CEST
Ticket#2018042621000694

In section http://docs.software-univention.de/developer-reference-4.2.html#udm:ea
it is suggested that ucs_registerLDAPSchema shall be used in postinst to register a new LDAP schema.
This command only works on DC Master, which is a) not stated in ldap.sh, b) not stated in manual, c) not portable to non UCS master systems, d) does not test if the schema is ok.

I therefore suggest to switch over to ucs_registerLDAPExtension which works on all UCS systems and does not break
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2018-04-29 10:07:45 CEST
[4.2-3 040b598a8d] Bug #46914: switch from ucs_registerLDAPSchema to ucs_registerLDAPExtension

[4.3-0 1b55f47ed6] Bug #46914: switch from ucs_registerLDAPSchema to ucs_registerLDAPExtension
Comment 2 Philipp Hahn univentionstaff 2018-05-02 11:06:18 CEST
FIXED 4.2-3: 040b598a8d → [4.2-3] e5ee71dbd7
FIXED 4.3-0: 1b55f47ed6 → [4.3-0] 009da977c1